xcb_render_composite(3)

NAME
xcb_render_composite -

SYNOPSIS
#include <xcb/render.h>

  Request function

xcb_void_cookie_t xcb_render_composite(xcb_connection_t *conn, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t mask, xcb_render_picture_t dst, int16_t src_x, int16_t src_y, int16_t mask_x, int16_t mask_y, int16_t dst_x, int16_t dst_y, uint16_t width, uint16_t height);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

op  TODO: NOT YET DOCUMENTED.

src TODO: NOT YET DOCUMENTED.

mask
    TODO: NOT YET DOCUMENTED.

dst TODO: NOT YET DOCUMENTED.

src_x
    TODO: NOT YET DOCUMENTED.

src_y
    TODO: NOT YET DOCUMENTED.

mask_x
    TODO: NOT YET DOCUMENTED.

mask_y
    TODO: NOT YET DOCUMENTED.

dst_x
    TODO: NOT YET DOCUMENTED.

dst_y
    TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_render_composite_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from render.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.